#!/bin/bash

# Exit on error.
set -e

# The following was modifed but the original was graciously provided by the
# caddy docs -> https://caddyserver.com/docs/install#debian-ubuntu-raspbian
apt install -y curl debian-keyring debian-archive-keyring apt-transport-https
curl 'https://dl.cloudsmith.io/public/caddy/stable/gpg.key' -o /etc/apt/trusted.gpg.d/caddy_repo_signing.asc
curl -1sLf 'https://dl.cloudsmith.io/public/caddy/stable/debian.deb.txt' | tee /etc/apt/sources.list.d/caddy-stable.list
apt update
apt install caddy
